For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
      • POSTRegister a client SDK
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Frontend APIRegister SDK

Register a client SDK

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/frontend/client/register
POST
/api/frontend/client/register
$curl -X POST https://app.unleash-instance.example.com/api/frontend/client/register \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "appName": "MyFrontendApp",
> "interval": 15000,
> "started": "2024-01-15T09:30:00Z",
> "strategies": [
> "default",
> "userWithId"
> ]
>}'
1{}
This is for future use. Currently Frontend client registration is not supported. Returning 200 for clients that expect this status code. If the Frontend API is disabled 404 is returned.
Was this page helpful?
Previous

Get all addons and providers

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

frontendApiClientSchema
appNamestringRequired
Name of the application using Unleash
intervaldoubleRequired
At which interval, in milliseconds, will this client be expected to send metrics
startedstring or doubleRequired
When this client started. Should be reported as ISO8601 time.
strategieslist of stringsRequired
List of strategies implemented by this application
instanceIdstringOptional

Instance id for this application (typically hostname, podId or similar)

sdkVersionstringOptional

Optional field that describes the sdk version (name:version)

environmentstringOptionalDeprecated
deprecated

Response

This response has no body.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error